libetonyek::KEYGraphicStyle Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | List of all members
libetonyek::KEYGraphicStyle Class Reference

Represents a graphic style. More...

`#include <KEYStyles.h>`

Inheritance diagram for libetonyek::KEYGraphicStyle:

## Public Member Functions
| KEYGraphicStyle (const KEYPropertyMap &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent)
Public Member Functions inherited from libetonyek::KEYStyleBase
virtual bool | link (const KEYStylesheetPtr_t &stylesheet)
| Find the parent style by its ID. More...
virtual void | flatten ()
| Copy attributes from parent style (recursively). More...
Public Member Functions inherited from libetonyek::KEYStyle
virtual | ~KEYStyle ()=0

## Private Member Functions
virtual KEYStylePtr_t | find (const KEYStylesheetPtr_t &stylesheet, const std::string &ident) const

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::KEYStyleBase
| KEYStyleBase (const KEYPropertyMap &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent)
virtual | ~KEYStyleBase ()
virtual const KEYPropertyMap & | getPropertyMap () const
| Get the style's property map. More...
boost::any | lookup (const char *property, const KEYStyleContext &context=KEYStyleContext()) const
| Look up a property in this style. More...

## Detailed Description

Represents a graphic style.

## Constructor & Destructor Documentation

libetonyek::KEYGraphicStyle::KEYGraphicStyle | ( | const KEYPropertyMap & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent
| ) |  |

## Member Function Documentation

KEYStylePtr_t libetonyek::KEYGraphicStyle::find | ( | const KEYStylesheetPtr_t & | stylesheet,
|  | const std::string & | ident
| ) |  | const
| privatevirtual

Implements libetonyek::KEYStyleBase.

The documentation for this class was generated from the following files:

- KEYStyles.h
- KEYStyles.cpp